Subject: Re: New tunnel protocol

From: Mark Nottingham <[email-masked]>
Date: Mon, 2 Feb 2015 16:12:12 +1100

> On 29 Jan 2015, at 4:59 am, Martin Thomson <[email-masked]> wrote:
> 
> On 28 January 2015 at 02:36, Willy Tarreau <[email-masked]> wrote:
>> 
>> That's why I think it's reasonable to consider that, as a first step, we
>> could have something which satisfies exactly what Martin needs (eg: repeat
>> in a header field what is supposed to be advertised in the TLS ALPN), and
>> to ensure that the name of this header doesn't make it difficult to later
>> add information about what is being tunnelled (eg: TLS vs VPN vs anything
>> else).
> 
> I have no objection to other signals, certainly.
> 
> The other signals are much harder to conceptualize.  I'm not opposed
> to exposing more information if it can be justified and worked into a
> solution.  If someone has a need, they should develop a solution
> around that need and propose it.

Perhaps the draft could include more about intended use cases in the introduction and/or header definition. I think the confusion we've seen is completely understandable, since it *looks* like something that can be used to parse what happens in the tunnel.

Another name for the header might (or might not) help too.

Cheers,

--
Mark Nottingham   https://www.mnot.net/